net.sf.jasperreports.components.map.type

## Enum MapImageTypeEnum

- java.lang.Object
- - java.lang.Enum<MapImageTypeEnum>
  - - net.sf.jasperreports.components.map.type.MapImageTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MapImageTypeEnum>, JREnum, NamedEnum

      public enum MapImageTypeEnum
      extends java.lang.Enum<MapImageTypeEnum>
      implements JREnum

  Version:
    $Id: MapImageTypeEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GIF` The GIF format
    `JPG` The JPEG compression format
    `JPG_BASELINE` The non-progressive JPEG compression format
    `PNG` The 8-bit PNG format (the same as PNG_8)
    `PNG_32` The 32-bit PNG format
    `PNG_8` The 8-bit PNG format

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapImageTypeEnum` | `getByName(java.lang.String name)`
    `static MapImageTypeEnum` | `getByValue(byte value)`
    `static MapImageTypeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static MapImageTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MapImageTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PNG

          public static final MapImageTypeEnum PNG

      The 8-bit PNG format (the same as PNG_8)

    - #### PNG_8

          public static final MapImageTypeEnum PNG_8

      The 8-bit PNG format

    - #### PNG_32

          public static final MapImageTypeEnum PNG_32

      The 32-bit PNG format

    - #### GIF

          public static final MapImageTypeEnum GIF

      The GIF format

    - #### JPG

          public static final MapImageTypeEnum JPG

      The JPEG compression format

    - #### JPG_BASELINE

          public static final MapImageTypeEnum JPG_BASELINE

      The non-progressive JPEG compression format

  - ### Method Detail

    - #### values

          public static MapImageTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MapImageTypeEnum c : MapImageTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MapImageTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static MapImageTypeEnum getByName(java.lang.String name)

    - #### getByValue

          public static MapImageTypeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static MapImageTypeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com